oracle.kv.lob

## Enum KVLargeObject.LOBState

- java.lang.Object
- - java.lang.Enum<KVLargeObject.LOBState>
  - - oracle.kv.lob.KVLargeObject.LOBState

- All Implemented Interfaces:
    Serializable, Comparable<KVLargeObject.LOBState>
  Enclosing interface:
    KVLargeObject

      public static enum KVLargeObject.LOBState
      extends Enum<KVLargeObject.LOBState>

  The enumeration defines the states associated with a LOB.
  Since:
    2.1.55

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `COMPLETE` Denotes a LOB that has been completed.
    `PARTIAL_APPEND` Denotes a LOB resulting from an incomplete `append` operation.
    `PARTIAL_DELETE` Denotes a LOB resulting from an incomplete `delete` operation.
    `PARTIAL_PUT` Denotes a LOB resulting from an incomplete `put` operation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KVLargeObject.LOBState` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KVLargeObject.LOBState[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PARTIAL_PUT

          public static final KVLargeObject.LOBState PARTIAL_PUT

      Denotes a LOB resulting from an incomplete `put` operation. It can be completed by retrying the put operation, thus proceeding from where the `put` failed or it can be deleted and the `put` can be retried afresh.

    - #### PARTIAL_APPEND

          public static final KVLargeObject.LOBState PARTIAL_APPEND

      Denotes a LOB resulting from an incomplete `append` operation. It can be completed by retrying the append operation, thus proceeding from where the `append` failed or it can be deleted and the LOB can be recreated in its entirety.

    - #### PARTIAL_DELETE

          public static final KVLargeObject.LOBState PARTIAL_DELETE

      Denotes a LOB resulting from an incomplete `delete` operation. It can be deleted or replaced by a new `put` operation.

    - #### COMPLETE

          public static final KVLargeObject.LOBState COMPLETE

      Denotes a LOB that has been completed. The LOB can be read, deleted, or can be modified by initiating a new `append` operation.

  - ### Method Detail

    - #### values

          public static KVLargeObject.LOBState[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KVLargeObject.LOBState c : KVLargeObject.LOBState.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KVLargeObject.LOBState valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright (c) 2011, 2014 Oracle and/or its affiliates. All rights reserved.